PETSc version 3.15.5
Fix/Edit manual page

# MatImaginaryPart

Moves the imaginary part of the matrix to the real part and zeros the imaginary part

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatImaginaryPart(Mat mat)

Logically Collective on Mat

### Input Parameters

| mat | - the matrix

### See Also

MatRealPart()

### Level

advanced

### Location

src/mat/interface/matrix.c

### Implementations

MatImaginaryPart_MPIAIJ in src/mat/impls/aij/mpi/mpiaij.c
MatImaginaryPart_SeqAIJ in src/mat/impls/aij/seq/aij.c
MatImaginaryPart_MPIBAIJ in src/mat/impls/baij/mpi/mpibaij.c
MatImaginaryPart_SeqBAIJ in src/mat/impls/baij/seq/baij.c
MatImaginaryPart_MPIDense in src/mat/impls/dense/mpi/mpidense.c
MatImaginaryPart_SeqDense in src/mat/impls/dense/seq/dense.c
MatImaginaryPart_MPISBAIJ in src/mat/impls/sbaij/mpi/mpisbaij.c
MatImaginaryPart_SeqSBAIJ in src/mat/impls/sbaij/seq/sbaij.c
MatImaginaryPart_MPISELL in src/mat/impls/sell/mpi/mpisell.c
MatImaginaryPart_SeqSELL in src/mat/impls/sell/seq/sell.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages